#-----------------------------------------------------------------------------
%define		dist		.ok
%define		shortname	%(echo %{name} | cut -d '-' -f1)
#-----------------------------------------------------------------------------
Name		:	mate-terminal
Version		:	1.28.1
Release		:	17.0.10.rel%{?dist}
Summary		:	MATE session daemon that acts as a policy agent on top of UPower
Group		:	Development/System

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GLPLv2
URL		:	http://pub.mate-desktop.org/releases/

Source0		:	%{name}-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	dconf
BuildRequires	:	gtk3+
BuildRequires	:	itstool
BuildRequires	:	mate-common
BuildRequires	:	vte-devel
BuildRequires	:	xorg-libXcomposite
BuildRequires	:	xorg-libXrender
BuildRequires	:	xorg-xtrans
BuildRequires	:	yelp-tools

Requires(post)	:	%{_bindir}/update-desktop-database
Requires(post)	:	%{_bindir}/glib-compile-schemas
#-----------------------------------------------------------------------------
%description
MATE Power Manager is a MATE session daemon that acts as a
policy agent on top of UPower. It listens to system events
and responds with user-configurable actions.

MATE Power Manager comes in three main parts:

  - mate-power-manager:      the manager daemon itself
  - mate-power-preferences:  the control panel program, for configuration
  - mate-power-statistics:   the statistics graphing program

#-----------------------------------------------------------------------------
%files		-f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README
%{_bindir}/%{name}
%{_bindir}/%{name}.wrapper
%{_datadir}/applications/%{name}.desktop
%{_datadir}/glib-2.0/schemas/org.mate.terminal.gschema.xml
#{_datadir}/help/*/%{name}/index.docbook
%{_datadir}/help/*/%{name}/legal.xml
%{_datadir}/help/*/%{name}/figures/*.png
%{_datadir}/metainfo/%{name}.appdata.xml
%{_mandir}/man1/%{name}.1.gz

%post
/usr/sbin/ldconfig
%{_bindir}/update-desktop-database > /dev/null 2>&1
%{_bindir}/glib-compile-schemas %{_datadir}/glib-2.0/schemas > /dev/null 2>&1

%postun
if [ "$1" = 0 ]; then
  %{_bindir}/glib-compile-schemas %{_datadir}/glib-2.0/schemas > /dev/null 2>&1
  %{_bindir}/update-desktop-database > /dev/null 2>&1
  fi
/usr/sbin/ldconfig

#=============================================================================
%prep
%setup -q 

#-----------------------------------------------------------------------------
#building application
%build

./autogen.sh						\
        --prefix=%{_prefix}				\
        --sysconfdir=%{_sysconfdir}			\
	--exec-prefix=%{_exec_prefix}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--datadir=%{_datadir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%version	\
	--disable-schemas-compile			\
	--disable-update-mimedb				\
	--disable-static				\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

#we should not have an installed mimeinfo.cache
%{__rm} -f %{buildroot}%{_datadir}/applications/mimeinfo.cache

%find_lang %{name} --with-gnome --all-name
#-----------------------------------------------------------------------------
%changelog
